# Generated by Django 3.0.6 on 2021-04-09 19:08

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('partida', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Subpartida',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=90, verbose_name='Nombre')),
                ('description', models.CharField(max_length=90, verbose_name='Descripcion')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
                ('partida_id', models.ManyToManyField(to='partida.Partida', verbose_name='Partida primaria')),
            ],
            options={
                'verbose_name': 'subpartida',
                'verbose_name_plural': 'subpartidas',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Concepto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=90, verbose_name='Nombre')),
                ('description', models.CharField(max_length=90, verbose_name='Descripcion')),
                ('u_medida', models.CharField(max_length=10, verbose_name='Unidad de medida')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de creación')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Fecha de edición')),
                ('partida_id', models.ManyToManyField(to='partida.Partida', verbose_name='Partida primaria')),
                ('subpartida_id', models.ManyToManyField(to='partida.Subpartida', verbose_name='Partida secundaria')),
            ],
            options={
                'verbose_name': 'concepto',
                'verbose_name_plural': 'conceptos',
                'ordering': ['-created'],
            },
        ),
    ]
